Maxxton External API

Sections

Get all reservations

Query Parameters

accommodationtypecodestring
customerNamestring

Filter reservations on customer name. Customer name should be provided in the format specified as: {first name} {middle name} {last name}. Ex: first name = x, middle name = y and last name = z, then the filter field will be passed as: customerName=x y z.

customeremailstring
distributionChannelCodestring

If DC is present in the access token then the reservations of that DC will be retrieved. If DC is null in access token then the DC entered in filter will be considered. If both DCs are null then all the reservations from all the dc will be fetched.

reservationIdsarray
resourceIdinteger
unitIdinteger

The unitId for filtering the reservations

pageinteger

Page number

sizeinteger

Size of the current page

sortstring

Sort parameter

filterarray

Following fields can be used for filtering response.
reservationId:0,
arrivalDate:2026-04-02,
customerId:0,
departureDate:2026-04-02,
distributionChannelId:0,
modifiedDate:2026-04-02T09:53:24.866,
reservationCategoryId:0,
reservationDate:2026-04-02T09:53:24.866,
reservationNumber:String,
locationId:0,
status:0,
supplierVoucher:String,
tncSigned:true,
tncSignedDate:2026-04-02,
tncSigneeCustomerName:String,
type:String,
...

Response

200
Object
The request is completed successfully without any errors

Response Attributes

totalElementsinteger

Total number of elements available in the whole response.

totalPagesinteger

Total number of pages the response has.

sizeinteger

Size of the current page.

contentarray

Show child attributes

numberinteger

Page number currently accessed.

sortobject

Show child attributes

firstboolean

Boolean field to specify if its the first page or not.

lastboolean

Boolean field to specify if its the last page or not.

numberOfElementsinteger

Total number of elements in the current page.

emptyboolean
204
Object
No reservations found for given criteria.
500
Object
Error occurred while fetching these reservations

GET

/

Select
1

Response